/*********************************************************************
 *
 * Software License Agreement (BSD License)
 *
 *  Copyright (c) 2011, Robert Bosch LLC.
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *   * Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *   * Redistributions in binary form must reproduce the above
 *     copyright notice, this list of conditions and the following
 *     disclaimer in the documentation and/or other materials provided
 *     with the distribution.
 *   * Neither the name of the Robert Bosch nor the names of its
 *     contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 *  FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 *  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 *  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 *  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 *  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 *  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 *  ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 *  POSSIBILITY OF SUCH DAMAGE.
 *
 *********************************************************************/
#include <QComboBox>
#include <QLineEdit>
#include <QGraphicsView>
#include <QSlider>
#include <QLineEdit>
#include <QCheckBox>
#include <QRadioButton>
#include <QProgressBar>
#include <QGroupBox>
#include <QHBoxLayout>
#include <QPushButton>

#include "menu_widget.h"


MenuWidget::MenuWidget(QWidget *parent)
: QWidget(parent)
{

  send_pushButton = new QPushButton(tr("Send"));
  cancle_pushButton = new QPushButton(tr("Cancel"));
  dremel_on_pushButton = new QPushButton(tr("Dremel On"));
  dremel_off_pushButton = new QPushButton(tr("Dremel Off"));
  vacuum_on_pushButton = new QPushButton(tr("Vacuum On"));
  vacuum_off_pushButton = new QPushButton(tr("Vacuum Off"));

  // Progress bar to visualize the progress for initial stereo triangulation
  carving_progress_ = new QProgressBar;
  carving_progress_->setMinimum(0);
  carving_progress_->setMaximum(100);
  carving_progress_->setFormat(tr(""));
  carving_progress_->setValue(carving_progress_->minimum());

  // TODO: Connect the action server status to progress
//    connect(&m_onlineTracking,
//        SIGNAL(StereoInitializationFinished()),
//        this,
//        SLOT(trackingInitEnd()) );

  QVBoxLayout *layout = new QVBoxLayout;
  layout->addWidget(send_pushButton);
  layout->addWidget(cancle_pushButton);
  layout->addWidget(dremel_on_pushButton);
  layout->addWidget(dremel_off_pushButton);
  layout->addWidget(vacuum_on_pushButton);
  layout->addWidget(vacuum_off_pushButton);
  layout->addWidget(carving_progress_);
  layout->addStretch(1);
  setLayout(layout);
}

MenuWidget::~MenuWidget()
{
}


